GET /contacts/v1/contacts/actions/restrict/status?operationID=

Overview 

Retrieves the status of the contact restrict operation.

URL Parameters 

NameTypeDescription
operationIDGUIDRequiredID of the operation you are checking the status of.

Responses 

StatusNameTypeDescription
200  Restrict request response
 operationInitiatedbooleanSystem-initiated restrict operation.
 operationIDintegerAuto-generated restrict operation ID. Keep track of this ID because it allows you to check the status of a restriction and decide how to proceed if there is a failure.
 requestServiceMessageIDguidService message ID for the request.
 responseDateTimeintegerThe datetime restrict response is created in the system in GMT time.
 hasErrorsbooleanThe requested operation is initiated with an error or not.
 resultMessagesarrayArray of messages about the restrict operation.
 serviceMessageIDguidService message ID for the response.
    
400  Bad restrict request response
 operationInitiatedbooleanSystem-initiated restrict operation.
 operationIDintegerAuto-generated restrict operation ID. Keep track of this ID because it allows you to check the status of a restriction and decide how to proceed if there is a failure.
 requestServiceMessageIDguidService message ID for the request.
 responseDateTimeintegerThe datetime restrict response is created in the system in GMT time.
 hasErrorsbooleanThe requested operation is initiated with error or not. For a 400 response this is true.
 resultMessagesarrayArray of messages about the restrict operation, with details about the bad request, like resulttype and resultcode.
 serviceMessageIDguidService message ID for the response.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/contacts/actions/restrict/status?operationID=2105
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response 

1{
2  "backgroundOperationsSummary": [],
3  "numberofRestorableDays": -1,
4  "operation": {
5    "listTypeID": 5,
6    "listIdentifier": "aa11b2cc-d6ea-4f46-bbfc-a4b7afa3f449",
7    "listKey": "bb11c2dd-d6ea-4f46-bbfc-a4b7afa3f449",
8    "listName": "Prestaged List",
9    "expectedListCount": 1,
10    "actualListCount": 1,
11    "deleteType": "ContactAndAttributes",
12    "deleteListOnCompleted": false,
13    "errorsOccurredInBatchProcess": false,
14    "isRestrictedForProcessing": true,
15    "operationID": 2105,
16    "eID": 55555555,
17    "mID": 55555555,
18    "employeeID": 12345678,
19    "operationRequestID": "1a22b33c-daf1-4ff9-b381-18658d74c547",
20    "status": "Completed",
21    "scheduledTime": "2018-01-30T12:40:09.06",
22    "startTime": "2018-01-30T18:40:11.293",
23    "endTime": "2018-01-30T18:40:11.963",
24    "retryCount": 0,
25    "createdDate": "2018-01-30T18:40:00",
26    "createdBy": 12345678,
27    "modifiedDate": "2018-01-30T18:40:00",
28    "modifiedBy": 10898158
29  },
30  "requestServiceMessageID": "a12345b6-5490-4ecf-bed1-cb2112eddd7b",
31  "responseDateTime": "2018-01-30T12:42:05.819137-06:00",
32  "resultMessages": [],
33  "serviceMessageID": "ab11cd2e-1f74-489e-98fb-ff6d2c33a5e4"
34}